//
// This file is part of Nolimips, a MIPS simulator with unlimited registers
// Copyright (C) 2005, 2006 Benoit Perrot <benoit@lrde.epita.fr>
//
// Nolimips is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// Nolimips is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//
#ifndef VM_SYSTEM_LIBRARY_HH
# define VM_SYSTEM_LIBRARY_HH

# include "vm/fwd.hh"

namespace vm
{

  class SystemLibrary
  {
  public:
    SystemLibrary();
    virtual ~SystemLibrary();

  public:
    virtual void invoke(Cpu &cpu) = 0;
  };

} // namespace vm

# include "vm/system_library.hxx"

#endif // !VM_SYSTEM_LIBRARY_HH
